#
# This file is sh-compatible and is provided for other
# components/frameworks to include in their makes or other scripts
# to pick up proper ** INSTALLED ** definitions of our header/library
# locations.  We prefer this approach to writing brittle ccacc, ccaf77,
# ccaf90, and ccaCC wrappers.

# If you want a file that presents absolute definitions 
# corresponding to the pre-installation build tree,
# see ccaConfigTemporary.sh located in the build tree.

# If you want a file that presents relocatable definitions 
# suitable for makefile inclusions, see MakeIncl.CCA_Component.

#---------------------------------------------------------------
# CCA entire install tree. Laid out differently from build tree.
#---------------------------------------------------------------
CCA_ROOT='/usr'
CLASSIC_INSTALL_ROOT='/usr'
CCA_BUNDLE_VERSION='developer'

#---------------------------------------------------------------
# CCA java tree: add this to classpath when building 
# CCA-dependent java components.
#---------------------------------------------------------------
CCA_JAVA_HOME='/usr/cca/cca-spec-classic/java'
CCA_JAR='/usr/lib/ccaSpecClassic.jar'

#---------------------------------------------------------------
# CCA c++ tree and flags to digest headers while building 
# CCA-dependent c++ components.
#---------------------------------------------------------------
CCA_CXX_HOME='/usr'
CCA_INC='-I/usr/include/cca-spec-classic-0.5.7'

#---------------------------------------------------------------
# CCA c++ lib with namespaces
#---------------------------------------------------------------
CCA_LIB='/usr/lib/libclassic_0_5_7.a'
CLASSIC_SHARED_LIB=libclassic_0_5_7.so
CLASSIC_STATIC_LIB=libclassic_0_5_7.a
CLASSIC_LIB_L='-lclassic_0_5_7'
CLASSIC_SUPPORT_STATIC=1
CLASSIC_SUPPORT_SHARED=1

#---------------------------------------------------------------
# The compiler tools used to build CCA.
#---------------------------------------------------------------
CCA_CXX='/usr/bin/arm-alt-linux-gnueabi-g++'
CCA_JAVA='/usr/lib/jvm/java'

#---------------------------------------------------------------
# The compiler flags used to build CCA.
#---------------------------------------------------------------
CCA_CXX_FLAGS='-I. -I/usr/lib/jvm/java/include -I/usr/lib/jvm/java/include/linux -IJNI_INCLUDES/linux -pipe -Wall -g -O2 -fomit-frame-pointer -march=armv5te -fno-strict-aliasing -Wall -pthread'

#---------------------------------------------------------------
# Flag that indicates certain dccafe legacy support is
# compilable in this configuration.
#---------------------------------------------------------------
CLASSIC_HAVE_PRINTFPORT='0'

#----------------------------------------------------------------
# The following flags for dynamic loading lifted bodily
# from CCAFFEINE 10/2000.
#----------------------------------------------------------------
#
# NOTE: the authors of CCAFFEINE are *extremely* skeptical
# of all known automatic dynamic-loading dependency tracking
# (dynamic link resolution) schemes (most break readily).
#
# As such, our code is written to require FULL path names
# to .so files being loaded. The files are loaded privately
# (not into the global symbol table), with symbol access
# being explicitly through CCA_DynamicSymbol/dlsym.
#
# global loading of libraries is optional, however.
#
# baa, 8/2000
#----------------------------------------------------------------


#       DL_LIBS -       System library(s) to include in demo and other base
#                       applications in order for the dynamic loading
#			to work.
CCA_DL_LIBS='-ldl'

#       LD_FLAGS -      Flags to pass to the compiler when linking object
#                       files static into an executable application binary.
CCA_LD_FLAGS=''

#       LD_SEARCH_FLAGS-Flags to pass to ld, such as "-R /usr/local/cca/lib",
#                       that tell the run-time dynamic linker where to look
#                       for components.  Depends on
#                       the variable LIB_RUNTIME_DIR in the Makefile.
# 			Not needed for absolute pathnamed files.
#			In ccaffeine, we force absolute pathnames.
CCA_LD_SEARCH_FLAGS='-Wl,-rpath,${LIB_RUNTIME_DIR}'

###
### Stuff for building components.
###

#       SHLIB_CFLAGS -  Flags to pass to cc when compiling .o files for
#                       a shared library (may request position-independent
#                       code, among other things).
CCA_SHLIB_CFLAGS='-fPIC'

#SHLIB_LD -      Base command to use for combining object files
#                into a shared library containing a component.
CCA_SHLIB_LD='/usr/bin/arm-alt-linux-gnueabi-g++ -shared'

#       SHLIB_LD_LIBS - Dependent libraries for the linker to scan when
#                       creating shared libraries.  This symbol typically
#                       goes at the end of the "ld" commands that build
#                       shared libraries. The value of the symbol is
#                       "${LIBS}" if all of the dependent libraries should
#                       be specified when creating a shared library.  If
#                       dependent libraries should not be specified (as on
#                       SunOS 4.x, where they cause the link to fail, or in
#                       general if demo mains aren't themselves shared
#                       libraries), then this symbol has an empty string
#                       as its value. Your component isn't a component
#                       (in CCA terms) if you need a non-empty value here.
CCA_SHLIB_LD_LIBS='${LIBS}'

#       SHLIB_SUFFIX -  Suffix to use for the names of dynamically loadable
#                       extensions.  An empty string means we don't know how
#                       to use shared libraries on this platform.
CCA_SHLIB_SUFFIX='.so'

###
# new stuff

CLASSIC_bindir=/usr/bin
CLASSIC_sbindir=/usr/sbin
CLASSIC_libexecdir=/usr/lib
CLASSIC_datadir=/usr/share
CLASSIC_docdir=/usr/share/doc
CLASSIC_sysconfdir=/etc
CLASSIC_sharedstatedir=/var/lib
CLASSIC_localstatedir=/var/lib
CLASSIC_libdir=/usr/lib
CLASSIC_infodir=/usr/share/info
CLASSIC_mandir=/usr/share/man
CLASSIC_includedir=/usr/include
CLASSIC_oldincludedir=/usr/include
CLASSIC_pkgdatadir=/usr/share/cca-spec-classic-0.5.7
CLASSIC_pkgdocdir=/usr/share/doc/cca-spec-classic-0.5.7
CLASSIC_pkglibdir=/usr/lib/cca-spec-classic-0.5.7
CLASSIC_pkgincludedir=/usr/include/cca-spec-classic-0.5.7
CLASSIC_transform='s,x,x,'

CLASSIC_VERSION=0.5.7
CLASSIC_VERSION_MAJOR=0
CLASSIC_VERSION_MINOR=5
CLASSIC_VERSION_PATCH=7
CLASSIC_HEADER=cca.h
CLASSIC_MAKEINCL=/usr/share/cca-spec-classic-0.5.7/MakeIncl.CCA_Component
CLASSIC_PKG_NAME=cca-spec-classic-0.5.7
CLASSIC_VER_SUFFIX=_0_5_7
CLASSIC_PROGRAM_SUFFIX=
CLASSIC_VARS_SH=/usr/share/cca-spec-classic-0.5.7/ccaConfig.sh
CLASSIC_BUILD_ROOT='/usr/src/RPM/BUILD/cca-spec-classic-0.5.7'
CLASSIC_CONFIG_ARGS='--build=arm-alt-linux-gnueabi --host=arm-alt-linux-gnueabi --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib --libexecdir=/usr/lib --localstatedir=/var/lib --sharedstatedir=/var/lib --mandir=/usr/share/man --infodir=/usr/share/info --disable-dependency-tracking --without-included-gettext --enable-showcompile --enable-showlibtool --enable-gcc --enable-shared --with-babel-libtool=/usr/bin/babel-libtool --with-jdk12=/usr/lib/jvm/java --with-gmake=/usr/bin/make --with-tclsh=/usr/bin/tclsh --with-doxygen=/usr/bin/doxygen'
CLASSIC_BABEL_CONFIG=/usr/bin/babel-config
CLASSIC_HIDECOMPILE=
CLASSIC_HIDELIBTOOL=
CLASSIC_LIBTOOL_LIB=libclassic_0_5_7.la
CLASSIC_BABEL_LIBTOOL=/usr/bin/babel-libtool
